Kanorio

API 參考

Analytics

Content Delivery API: POST /analytics/pageview, POST /analytics/bot-hit

這頁只有英文版。API 參考、Webhook 事件與變更紀錄維持英文,和程式碼裡的欄位名稱、錯誤碼一致。
Base URL https://{site}/api/v1ErrorsPagination

Request body

  • pathstringrequired

    Relative path starting with /

  • referrerstring
  • titlestring
  • uaCategory"desktop" | "mobile" | "tablet" | "bot"

Response 200

  • uaCategorystring

Errors

  • INVALID_BODY 400
  • INVALID_PATH 400
curl -X POST "https://{site}/api/v1/analytics/pageview" \
  -H "Content-Type: application/json" \
  -d '{}'

Request body

  • botTokenstring

    Recognized crawler token (e.g. GPTBot, ClaudeBot, PerplexityBot)

  • pathstringrequired

    Relative path starting with /

  • userAgentstring

Errors

  • INVALID_BODY 400
  • INVALID_PATH 400
  • UNKNOWN_BOT 400
curl -X POST "https://{site}/api/v1/analytics/bot-hit" \
  -H "Content-Type: application/json" \
  -d '{}'